function y=pulsat(vit_roue,vitesse_rotation,Asat);

% Cette fonction calcule les vecteurs propres et les valeurs propres de la matrice A de l'quation d'tat

J_ROUE=3.2e-5;  % Moment d'inertie de la roue en mkg

% disp('**************ELEMENTS MATRICIELS DE L''EQUATION D''ETAT**************');

% disp('**************ELEMENTS MATRICIELS DE L''EQUATION D''ETAT**************');


Ir=Asat(1,1);It=Asat(2,2);Il=Asat(3,3);Irt=Asat(1,2);Irl=Asat(1,3);Itl=Asat(2,3);


% Matrices(3X3) servant  calculer la matrice(3X3) N_SAT=K_SAT+w*H_SAT
% wo fourni par totdat.m et w variable recueilli en cours de simulation

K_SAT=vitesse_rotation*[0 2*Irt (Ir+Il-It);
         -Itl 0 Irt;
            -(Ir+Il-It) -2*Irt -Irl];

H_SAT=[0 0 -1;
         0 0 0;
           1 0 0]*J_ROUE;  % Cette matrice devra tre multiplie par w = vitesse roue

% Elements de la matrice P_SAT= L_SAT+Q_SAT*w

% Matrices(3X3) servant  calculer la matrice(3X3) P
% wo fourni par totdat.m et w variable recueilli en cours de simulatio

L_SAT=[4*(It-Il) 2*Itl Irl;
              -Irt 3*(Ir-Il) -Itl;
                      Irl -2*Irt (It-Ir)]*vitesse_rotation^2;

Q_SAT=[1 0 0;
         0 0 0;
           0 0 1]*J_ROUE*vitesse_rotation;

% *******************************Calcul de A ****************************************

% Matrices(3X3) servant  calculer la matrice(3X3) N_SAT=K_SAT+w*H_SAT
% wo fourni par totdat.m et w=vit_roue variable recueilli en cours de simulation

 % Calcul de la matrice A_SIM de l''quation dX/dt=A_SIM X+B_SIM U

 N_SAT=K_SAT+vit_roue*H_SAT;

 P_SAT=L_SAT+vit_roue*Q_SAT;

 mat1=-inv(Asat)*N_SAT;

 mat2=-inv(Asat)*P_SAT;

 A(1:3,1:3)=mat1;
 
 A(1:3,4:6)=mat2;

 A(4:6,1:3)=eye(size(mat1));

 A(4:6,4:6)=zeros(3,3);


% **************************Calcul Vect Prop et Val Prop *******************************

 [V,D]=eig(A);

 y1=[V,D];

 y=D';

 end
